API Documentation | All Packages | All Classes | Index | Frames No Frames |
ClosableTabBar

Package | ch.unil.cbg.ExpressionView.view.components
Class | public class ClosableTabBar
Inheritance | ClosableTabBar mx.controls.TabBar

Default MXML Property `dataProvider`

Public Properties

| Property | Defined By
--- | --- | ---
|  | enableClose : Array [write-only] | ClosableTabBar

Public Methods

| Method | Defined By
--- | --- | ---
|  | ClosableTabBar() | ClosableTabBar

Protected Methods

| Method | Defined By
--- | --- | ---
|  | createChildren():void [override] | ClosableTabBar
|  | createNavItem(label:String, icon:Class = null):IFlexDisplayObject [override] | ClosableTabBar

Property Detail

enableClose | property

`enableClose:Array` [write-only]

Implementation
`public function set enableClose(value:Array):void`
Constructor Detail

ClosableTabBar | () | Constructor

`public function ClosableTabBar()`

Method Detail

createChildren | () | method

`override protected function createChildren():void`

createNavItem | () | method |

`override protected function createNavItem(label:String, icon:Class = null):IFlexDisplayObject`

Parameters

| `label:String`
| `icon:Class` (default = `null`)``

Returns

| `IFlexDisplayObject`

Mon Oct 17 2011, 09:13 PM -04:00